version: "2"
services:
  # 必须是小写
  backendsys-service:
    # 指定容器名称
    container_name: backendsys
    # 重启机制
    restart: always
    # 必须是小写
    image: backendsys
    volumes:
      #      # 挂载日志 -v A:B ,A指宿主机位置，B指容器位置
      - /home/www/project/BackendSys/libs/:/app/build/libs/
      # 上传文件的路径（因为项目中设置的就是这个上传路径，所以要根据项目作调整）
      - /home/www/project/BackendSys/uploads/:/home/www/project/BackendSys/uploads/
      - /home/www/project/BackendSys/logs/:/logs/
      # 指定容器时间为宿主机时间
      - /etc/localtime:/etc/localtime

#    ports:
#      - "48080:48080"
#    # 使用 network_mode: host 就不能再指定 ports
    network_mode: "host"

    environment:
      # 指定时区
      TZ: 'Asia/Shanghai'

    # -Xms4g -Xmx12g (服务器 8核 16GB)
    # -Xms1g -Xmx4g (服务器 4核 8GB)
    entrypoint: nohup java -Xms1g -Xmx4g -Dloader.path=/app/build/libs -jar /app/build/backendsys.jar
    # -Dloader.path=/app/build/libs